0

I am trying to compile LLVM with LLD (I really just want LLD but it requires the rest of LLVM iirc). When I try to run CMake (cmake ..) in my build folder (inside the source folder), I get the following error:

CMake Error at cmake/modules/LLVM-Config.cmake:203 (message):
  Library `Demangle' not found in list of llvm libraries.
Call Stack (most recent call first):
  cmake/modules/AddLLVM.cmake:484 (llvm_map_components_to_libnames)
  tools/lld/cmake/modules/AddLLD.cmake:10 (llvm_add_library)
  tools/lld/lib/ReaderWriter/MachO/CMakeLists.txt:1 (add_lld_library)

No results on Google on for this error. Here is the full output on pastebin: http://pastebin.com/6DDTScEf

Any ideas as to the cause of this error? The message is very unhelpful. Is something missing from a list somewhere? Do I need to get some demangling library? If so, where from and in what form?

I'm on Arch Linux, and I'm using the most recent source for LLVM and LLD.

  • You should be able to install LLVM from the package extra/llvm – Kenneth B. Jensen Feb 13 '17 at 3:06
  • @KennethB.Jensen Package doesn't include LLD because it's experimental--that's the whole reason I have to go through this mess of compiling it. – Rogue Feb 13 '17 at 19:55
  • I mean for compiling LLD, instead of having to compile LLVM for that – Kenneth B. Jensen Feb 14 '17 at 3:34
  • @KennethB.Jensen I tried compiling LLD on its own--didn't work, think it relies on some code in other LLVM stuff. The site says it needs to be placed in LLVM's tools directory (which only exists in the source) – Rogue Feb 16 '17 at 0:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.